EDIT - bug #9601

Set secundum for subTree does not work for misapplied names
05/03/2021 02:58 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: critical Found in Version:

Description

Hallo,

anscheinend wird die “err. sec.” Referenz nicht ersetzt, wenn man den Tree-Replace macht (Fall: Cuba — Orchidaceae]:

© Epidendrum polyphyllum Vell.

(@ Cyrtopodium andersonii
— AUCT, ERR. SEC. GREUTER & RANKIN RODRIGUEZ 2016

Um die zu finden, muss ich jetzt jedes Taxon aufmachen (bzw. sehen, ob ich das im Output verfolgen kann).
Oder (Hoffnung) liegt’s vielleicht am fehlenden Cache update? Den traue ich mich nicht so recht zu machen, nachdem ich neulich
damit alles lahmgelegt hatte ...

Related issues:

Related to EDIT - bug #6359: Remaining issues secundum for subtrees Closed
Related to EDIT - feature request #7450: Allow setPublish for subtree to incl... Closed
Precedes EDIT - feature request #9611: Implement setSecundumForSubtree for MA... Closed

Associated revisions

Revision 3b85f959 - 05/06/2021 06:52 PM - Andreas Miiller

fix #9601 allow misapplied names and proparte Syns to set secundum for subtree

Revision a3247a01 - 05/12/2021 09:57 AM - Andreas Miiller

ref #9601, ref #9611 have only a single overwriteExisting parameter for setSecundumForSubtree

Revision a6b03e32 - 05/12/2021 10:05 AM - Andreas Miiller
ref #9601, ref #9611 by default don't include MAN and ppSyns for setSecundumForSubtree

Revision 7cbe1369 - 05/12/2021 10:49 AM - Andreas Miiller
ref #9601, ref #9611 by default don't include MAN and ppSyns for setSecundumForSubtree (cont.)

History

#1 - 05/03/2021 11:19 PM - Andreas Miiller

- Severity changed from normal to critical

#2 - 05/05/2021 12:58 PM - Andreas Miiller

- Related to bug #6359: Remaining issues secundum for subtrees added

#3 - 05/06/2021 11:34 AM - Andreas Miiller

- Related to feature request #7450: Allow setPublish for subtree to include misapplied names and pro parte synonyms added

#4 - 05/06/2021 06:52 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

04/19/2024 1/2




Applied in changeset cdmlib|3b85f95996257c66bec3f57c82deac14356df375.

#5 - 05/06/2021 06:54 PM - Andreas Miiller
- Precedes feature request #9611: Implement setSecundumForSubtree for MAN and ppSyns in TaxEditor added

#6 - 05/06/2021 06:55 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

please review

#7 - 05/07/2021 10:16 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

tested it with the new implementation in editor and it works as expected.

#8 - 05/12/2021 09:57 AM - Andreas Miiller

Having 3 parameters for overwriteExistingXXX makes the Ul complex and has not much added value. See discussion at #9611#note-12.

=> implemented: a3247a01aee

#9 - 05/12/2021 10:08 AM - Andreas Miiller
| adapted default value for MAN and ppSyn. For discussion see #9611#note-13

#10 - 05/17/2021 09:52 AM - Andreas Miuiller

- Target version changed from Release 5.25 to Release 5.23
